PETSc version 3.15.5
Fix/Edit manual page

# VecGetLocalSize

Returns the number of elements of the vector stored in local memory.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetLocalSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

| x | - the vector

### Output Parameter

| size | - the length of the local piece of the vector

### See Also

VecGetSize()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/utils/tagger/tutorials/ex1.c.html
src/vec/vec/tutorials/ex3.c.html
src/vec/vec/tutorials/ex5.c.html
src/vec/vec/tutorials/ex10.c.html
src/vec/vec/tutorials/ex15.c.html
src/vec/vec/tutorials/ex19.c.html
src/vec/vec/tutorials/ex21.c.html
src/vec/vec/tutorials/ex5f.F90.html
src/dm/tutorials/swarm_ex3.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex5.c.html

### Implementations

VecGetLocalSize_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages